# Method: edits.tracks.patch

- [HTTP request](https://developers.google.com/android-publisher/api-ref/rest/v3/edits.tracks/patch#body.HTTP_TEMPLATE)
- [Path parameters](https://developers.google.com/android-publisher/api-ref/rest/v3/edits.tracks/patch#body.PATH_PARAMETERS)
- [Request body](https://developers.google.com/android-publisher/api-ref/rest/v3/edits.tracks/patch#body.request_body)
- [Response body](https://developers.google.com/android-publisher/api-ref/rest/v3/edits.tracks/patch#body.response_body)
- [Authorization scopes](https://developers.google.com/android-publisher/api-ref/rest/v3/edits.tracks/patch#body.aspect)
- [Try it!](https://developers.google.com/android-publisher/api-ref/rest/v3/edits.tracks/patch#try-it)

Patches a track.

### HTTP request

`PATCH https://androidpublisher.googleapis.com/androidpublisher/v3/applications/{packageName}/edits/{editId}/tracks/{track}`

The URL uses [gRPC Transcoding](https://google.aip.dev/127) syntax.

### Path parameters

| Parameters ||
|---|---|
| `packageName` | `string` Package name of the app. |
| `editId` | `string` Identifier of the edit. |
| `track` | `string` Identifier of the track. [More on track name](https://developers.google.com/android-publisher/tracks#ff-track-name) |

### Request body

The request body contains an instance of `https://developers.google.com/android-publisher/api-ref/rest/v3/edits.tracks#Track`.

### Response body

If successful, the response body contains an instance of `https://developers.google.com/android-publisher/api-ref/rest/v3/edits.tracks#Track`.

### Authorization scopes

Requires the following OAuth scope:

- `https://www.googleapis.com/auth/androidpublisher`